
const unsigned int num_layers = 6; // mby use #define

unsigned int layer_config[][15] = {
							{ // conv1
								0, // "0" -> conv, "1" -> fc (only conv, conv with pool, fc, ??)
								1, // type_num for conv1 -> 1 for conv2 -> 2
								90, 40, // h, w input data
								16, 1, 16, 8, //16 // n, c, h, w, b - weights and bias
								25, 17, 3, 2, // h, w, s_h, s_w - Conv parameters
								1, // relu_on
								0, // read from data "0"-> input_buf  "1"-> output_buf  "2"->"tmp_1_buffer"  "3"->"tmp_2_buffer"
								2 // output buffer   "0"-> input_buf  "1"-> output_buf  "2"->"tmp_1_buffer"  "3"->"tmp_2_buffer"
							},
							{ // conv2
								0,
								2,
								25, 17,
								32, 16, 8, 4,
								6, 7, 3, 2,
								1,
								2,
								3
							},
							{ // conv3
								0,
								3,
								6, 7,
								64, 32, 3, 3,
								4, 5, 1, 1,
								1,
								3,
								2
							},
							{ // fc1/ip1
								1,
								1,
								1280, 1,
								1, 1, 32, 1280, // 64*4*5 = 1280
								1, 32, 1, 1,
								0, // relu should not be on in this layer
								2,
								3,
							},
							{ // fc2/ip2
								1,
								2,
								32, 1,
								1, 1, 128, 32,
								1, 128, 1, 1,
								1,
								3,
								2
							},
							{ //fc3/ip3
								1,
								3,
								128, 1,
								1, 1, 2, 128,
								1, 2, 1, 1,
								0,
								2,
								1
							}
};
